Libosmium: detail::any_changeset_handlers Struct Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
List of all members
detail::any_changeset_handlers Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::any_changeset_handlers:
[legend]
Collaboration diagram for detail::any_changeset_handlers:
[legend]

## Additional Inherited Members
Static Public Member Functions inherited from detail::changeset_handler
template<typename TDummy>
static void | set_value (osmium::Changeset &, const TDummy &) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_cid id) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_num_changes num_changes) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_num_comments num_comments) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_created_at created_at) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_closed_at closed_at) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_uid uid) noexcept
Static Public Member Functions inherited from detail::tags_handler
template<typename TDummy>
static void | set_value (TagListBuilder &, const TDummy &) noexcept
static void | set_value (TagListBuilder &builder, const attr::_tag &tag)
template<typename TIterator>
static void | set_value (TagListBuilder &builder, const attr::detail::tags_from_iterator_pair< TIterator > &tags)
static void | set_value (TagListBuilder &builder, const attr::_t &tags)
Static Public Member Functions inherited from detail::discussion_handler
template<typename TDummy>
static void | set_value (ChangesetDiscussionBuilder &, const TDummy &) noexcept
static void | set_value (ChangesetDiscussionBuilder &builder, const attr::_comment &comment)
template<typename TIterator>
static void | set_value (ChangesetDiscussionBuilder &builder, const attr::detail::comments_from_iterator_pair< TIterator > &comments)

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp